=== debian/changelog ===
ros-noetic-p2os-driver (2.2.1-2focal) focal; urgency=high

  * Two fixes for Melodic. (#62 <https://github.com/allenh1/p2os/issues/62>)
    In p2os_driver, the p2os_msgs_gencpp doesn't exist (and, as
    far as I can tell, never existed).  It worked up until recently
    because older versions of CMake would complain but not fail,
    while more recent cmake versions actually fail.  Just remove
    the dependency.
    The second fix is a cosmetic issue, where CMake would spew a
    bunch of warnings on the command line.  Increase the version
    to 3.9.5 to match other CMakeLists.txt and to get rid of the
    warnings.
  * Prepare release 2.2.0 (#59 <https://github.com/allenh1/p2os/issues/59>)
    * Update changelog
    * 2.2.0
  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Fix driver license (#56 <https://github.com/allenh1/p2os/issues/56>)
    * Upon further inspection, this p2os_driver is GPL 2
    * Fix kinecalc license line
    * Update p2os_ptz license
    * Fix robot_params license
  * Add CI (#54 <https://github.com/allenh1/p2os/issues/54>)
    * Add .travis.yml
    * Add .gitignore
    * Add test script
    * Rename *.h to *.hpp
    * Rename *.cc to *.cpp
    * Apply change to CMakeLists.txt
    * Fix copyright line(s), as well as fix header guard style
    * Default standard to C++14, and bump CMake minimum to 3.9.5
    * Remove unused boost include
    * Make headers pass CI
    * Add build status to the README
  * Contributors: Chris Lalancette, Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 18 Jun 2020 04:00:00 -0000

ros-noetic-p2os-driver (2.2.0-2focal) focal; urgency=high

  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Fix driver license (#56 <https://github.com/allenh1/p2os/issues/56>)
    * Upon further inspection, this p2os_driver is GPL 2
    * Fix kinecalc license line
    * Update p2os_ptz license
    * Fix robot_params license
  * Add CI (#54 <https://github.com/allenh1/p2os/issues/54>)
    * Add .travis.yml
    * Add .gitignore
    * Add test script
    * Rename *.h to *.hpp
    * Rename *.cc to *.cpp
    * Apply change to CMakeLists.txt
    * Fix copyright line(s), as well as fix header guard style
    * Default standard to C++14, and bump CMake minimum to 3.9.5
    * Remove unused boost include
    * Make headers pass CI
    * Add build status to the README
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-noetic-p2os-driver (2.1.1-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-noetic-p2os-driver (2.1.0-2focal) focal; urgency=high

  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 01 Aug 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.7-2focal) focal; urgency=high

  * Made a small change to prepare version bump.
  * Updated changelog.
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 30 May 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.6-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Mon, 22 May 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.5-2focal) focal; urgency=high

  * Added missing dependencies.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-driver (2.0.4-2focal) focal; urgency=high

  * Cleaned up driver source.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-driver (2.0.3-2focal) focal; urgency=high

  * Reformatted code style.
  * Cleaned up the driver.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sun, 25 Oct 2015 04:00:00 -0000

ros-noetic-p2os-driver (2.0.2-2focal) focal; urgency=high

  * Fixed a small issue (but a big problem) in the source.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 04 Aug 2015 04:00:00 -0000

ros-noetic-p2os-driver (2.0.1-2focal) focal; urgency=high

  * Doing some cleanup of the code.
  * Additional code updates for p3dx-sh-lms1xx parameters.
  * Added robot parameters for the P3DX models that ship with LMS1xx lasers.
  * Contributors: Damjan Miklic, Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sat, 11 Jul 2015 04:00:00 -0000

ros-noetic-p2os-driver (1.0.13-2focal) focal; urgency=high

  * Added parameters the p2os node to specify frame IDs for the odom->base_link transform.
  * Contributors: Damjan Miklic

 -- Hunter L. Allen <hallen@kns.com>  Sat, 02 May 2015 04:00:00 -0000

ros-noetic-p2os-driver (1.0.12-2focal) focal; urgency=high

  * Updated to match indigo-devel
  * Fixed dependency issues and cleaned up package.xml and CMakeLists.txt for p2os_driver and p2os_msgs
  * Separated p2os_driver and p2os_msgs
  * Fixed include paths of p2os_driver
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.11-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.10-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 28 May 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.9-2focal) focal; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs

 -- Hunter L. Allen <hallen@kns.com>  Sun, 18 Aug 2013 04:00:00 -0000


