=== debian/control ===
Source: ros-noetic-p2os-driver
Section: misc
Priority: optional
Maintainer: Hunter L. Allen <hallen@kns.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-nav-msgs, ros-noetic-p2os-msgs, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf
Homepage: http://ros.org/wiki/p2os_driver
Standards-Version: 3.9.2

Package: ros-noetic-p2os-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-p2os-msgs, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf
Description: Driver file descriptions for P2OS/ARCOS robot
